Bug 1537796 - Missing repo in content view if "Publish via HTTP" is changed
Summary: Missing repo in content view if "Publish via HTTP" is changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: Partha Aji
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-23 22:03 UTC by Partha Aji
Modified: 2019-11-05 23:11 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:01:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21612 0 None None None 2018-01-23 22:03:03 UTC

Description Partha Aji 2018-01-23 22:03:00 UTC
- Product P exists with Yum Repository R. Publish via HTTP is turned off!
- Content View CV exists with Repository R. Version 1 was published an promoted to Development.

We want to publish the CV and its Repository via HTTP. Therefore, we do:
- Change Publish via HTTP to on for Repository R.
- Publish a new Version of CV (Version 2) and promote it to Development

Result: The Repository in CV for environment Development is still not fully available via HTTP. 
Expected: Repository is reachable via HTTP in CV for environment Development. 

Issue found with Katello 3.4.5

Comment 1 Partha Aji 2018-01-23 22:03:08 UTC
Created from redmine issue http://projects.theforeman.org/issues/21612

Comment 2 Partha Aji 2018-01-23 22:03:17 UTC
Upstream bug assigned to paji

Comment 4 Satellite Program 2018-01-29 15:24:56 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21612 has been resolved.

Comment 5 Chris Brown 2018-06-27 15:45:44 UTC
Verified in Satellite 6.4

Comment 7 Bryan Kearney 2018-10-16 19:01:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.